corda / net.corda.core.schemas.requery.converters / BlobConverter

# BlobConverter

`class BlobConverter : Converter<ByteArray, Blob>`

Converts from a ByteArray to a Blob.

### Constructors

<init> | `BlobConverter()` Converts from a ByteArray to a Blob.

### Functions

convertToMapped | `fun convertToMapped(type: Class<out ByteArray>?, value: Blob?): ByteArray?`
convertToPersisted | `fun convertToPersisted(value: ByteArray?): Blob?`
getMappedType | `fun getMappedType(): Class<ByteArray>`
getPersistedSize | `fun getPersistedSize(): Int?` creates BLOB(INT.MAX) = 2 GB
getPersistedType | `fun getPersistedType(): Class<Blob>`